Subject: [Anima] Re: ANIMA@IETF124 - call for agenda items
From: "Maojianwei (Mao)" <[email-masked]>
To: Michael Richardson <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "Liubing (Leo)" <[email-masked]>, "Zhukeyi(Kaiyin,Datacom Standard&Patent)" <[email-masked]>
Date: Sat, 1 Nov 2025 03:09:00 +0000
List-Id: Autonomic Networking Integrated Model and Approach <anima.ietf.org>

Hi Michael,

Thanks for your patient reply. I would like to give more introduction :)

AI Agent is also a technical term. It is a new kind of software with the following unique characteristics:
 - Can receive requests in natural language form from user
 - Can invoke the inference service of large language model (LLM) for getting the planning for what steps should be followed to process a task, what functions should be invoked, and what input parameters should be passed to the functions.
 - Can follow the guide from LLM, and invoke local functions or remote API requests.
 - Can follow the guide from LLM, and request other AI Agents to finish a sub-task. Especially, the requests sent to other AI agents are in natural language form, or natural language embedded in a structured format (as semi-structured).

The AI Agent in the network devices can be an implementation of Autonomic Service Agent. It can finish the troubleshooting and management tasks by itself to make the network devices autonomic. And it can communicate and cooperate with other Agents in other devices to finally make the entire network autonomic.

Thanks for your advice, I can give a simple example for troubleshooting case, the workflow can be as follows:
- Bob logs in router A and finds the BGP peer between router A and router B is down.
- Bob types "what is the problem of BGP peer" in the terminal of router A.
- The Agent (type of Integrated Agent) in Router A understands the intent of Bob (may use LLM), checks what BGP peers configured in local, checks their states, and finds the peer with router B is down.
- The Agent in Router A sends a request of "Tell me your BGP configurations to neighbor Router A" (may be semi-structured) to the Agent in Router B (connectivity is available because IGP works well).
- The Agent in Router B invokes local functions (Tool calling) to obtain relative config data, and sends it back to the Agent in Router A.
- The Agent in Router A analyzes the config data (may use LLM), finds the root causes (configured wrong AS number for Router A), generates a summary report, and prints the report at the terminal for Bob. 
- (optional) In future, the agent in router A may ask the one in router B to fix the wrong config to achieve fault self-recovery.

Thanks,
Mao

-----邮件原件-----
发件人: Michael Richardson <[email-masked]> 
发送时间: 2025年10月31日 5:22
收件人: Maojianwei (Mao) <maojianwei=[email-masked]>; [email-masked]
主题: [Anima] Re: ANIMA@IETF124 - call for agenda items

Maojianwei \(Mao\) <maojianwei=[email-masked]> wrote:
    > Sorry for this late request. The scenario of this document is highly
    > related to ANIMA work scope, so we would like to request a time slot to
    > introduce this doc at the meeting. Thanks :)

I'm not really sure how this builds upon the autonomic work that ANIMA has
done.   The document mentions LLMs, which is a technical term, but also "AI
Agent", which is a marketing term, devoid of technical content.  So, my first request would be to please stick to technically definable terms.

What I have seen of LLMs in network configuration is that they just slop out configuration settings, and operators hope they haven't been trained on insecure configurations.

This document seems to deal with the need for worker agents that collect information to collaborate and communicate, and if this were to be re-vision as Autonomic Service Agents, then I would see the connection.  Is that your goal?

It would be great for understanding if this document could give us some examples.  And/or your slides could do that.  I suggest telling us a storey.
Like, "Bob is getting reports from a worker-agent that collects telemetry on failed SSH logins to core routers.  Bob asks why there any password logins enabled at all.  The Agent explains that there are still 9 (of 104) administrators who have not registered SSH public keys. Bob asks if those people login from the same IP address all the time, and the agent generates a new report. Bob then asks that all systems allow password logins on from those IP addresses"

    > Title: Communication Considerations for AI Agents in Network Devices
    > Presenter: Jianwei Mao (Remote)
    > Length of time: 15 minutes
    > if applicable: draft-mzsg-rtgwg-agent-cross-device-comm-framework
    > Remote.

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide